Season detail
Watching
Season detail
Returns watched episodes for a specific season of a show.
GET
Season detail
Authorizations
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.rewind.rest/v1/watching/shows/{id}/seasons/{season} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rewind.rest/v1/watching/shows/{id}/seasons/{season}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rewind.rest/v1/watching/shows/{id}/seasons/{season}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"show_id": 1,
"show_title": "Band of Brothers",
"season_number": 1,
"episodes": [
{
"season": 1,
"episode": 1,
"title": "Currahee",
"watched_at": "2024-01-15T20:00:00Z"
},
{
"season": 1,
"episode": 2,
"title": "Day of Days",
"watched_at": "2024-01-16T20:00:00Z"
}
]
}{
"error": "Not found",
"status": 404
}{
"error": "Not found",
"status": 404
}{
"error": "Not found",
"status": 404
}Returns watched episodes for a specific season of a show.
curl --request GET \
--url https://api.rewind.rest/v1/watching/shows/{id}/seasons/{season} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rewind.rest/v1/watching/shows/{id}/seasons/{season}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rewind.rest/v1/watching/shows/{id}/seasons/{season}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"show_id": 1,
"show_title": "Band of Brothers",
"season_number": 1,
"episodes": [
{
"season": 1,
"episode": 1,
"title": "Currahee",
"watched_at": "2024-01-15T20:00:00Z"
},
{
"season": 1,
"episode": 2,
"title": "Day of Days",
"watched_at": "2024-01-16T20:00:00Z"
}
]
}{
"error": "Not found",
"status": 404
}{
"error": "Not found",
"status": 404
}{
"error": "Not found",
"status": 404
}API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.